MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0029544Open CASCADE[OCCT] OCCT:Modeling Algorithmspublic2018-03-05 15:322018-06-29 21:21
Reporteremv 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 7.2.0 
Target Version[OCCT] 7.3.0Fixed in Version[OCCT] 7.3.0 
Summary0029544: Regression vs 7.2.0: ShapeUpgrade_UnifySameDomain fails to merge linear edges
DescriptionShapeUpgrade_UnifySameDomain is unable to merge linear edges due to slight vertex deviation from the edge.
Most likely, the problem has been introduced by the fix for the issue 0028681.

The problem has been discovered while working on the issue #29481.
Steps To Reproducerestore [locate_data_file bug29544_edges.brep] ce
unifysamedom r ce
checknbshapes r -vertex 4 -edge 2
TagsNo tags attached.
Test case numberbugs modalg_7 bug29544_1, bugs modalg_7 bug29544_2
Attached Files

- Relationships
child of 0028681closedapn Open CASCADE UnifySameDomain distorts face boundary when merges a chain of small linear edges 

-  Notes
(0074261)
git (administrator)
2018-03-06 07:33

Branch CR29544 has been created by emv.

SHA-1: 69c795471359bcaf74d0217a272f059a92030f0e


Detailed log of new commits:

Author: emv
Date: Mon Mar 5 15:55:16 2018 +0300

    0029544: Regression vs 7.2.0: ShapeUpgrade_UnifySameDomain fails to merge linear edges
    
    When measuring the deviation of the end of the added edge from the resulting edge take the point on the curve, not from the vertex.
    
    Test cases for the issue.
(0074267)
emv (developer)
2018-03-06 12:45

Dear Mikhail, could you please review the git branch CR29544?
Test results - http://jenkins-test-10.nnov.opencascade.com:8080/view/CR29544-master-emv/view/COMPARE/. [^]
(0074338)
msv (developer)
2018-03-07 10:04

Reviewed.
(0074343)
bugmaster (administrator)
2018-03-07 10:56

Combination -
OCCT branch : CR29544 SHA - 69c795471359bcaf74d0217a272f059a92030f0e
Products branch : master SHA - 4fd289ec73d35d02f23f3990c73b3acac9a60574
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian70-64:
OCCT
Total CPU difference: 18236.169999999714 / 18338.37999999957 [-0.56%]
Products
Total CPU difference: 7488.020000000009 / 7461.340000000009 [+0.36%]
Windows-64-VC10:
OCCT
Total CPU difference: 17678.28292159853 / 17653.338361698563 [+0.14%]
Products
Total CPU difference: 7988.078005300006 / 7990.761222500007 [-0.03%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention
(0074613)
git (administrator)
2018-03-19 10:05

Branch CR29544 has been deleted by kgv.

SHA-1: 69c795471359bcaf74d0217a272f059a92030f0e

- Related Changesets
occt: master 06084bb8
Timestamp: 2018-03-05 12:55:16
Author: emv
Committer: bugmaster
Details ] Diff ]
0029544: Regression vs 7.2.0: ShapeUpgrade_UnifySameDomain fails to merge linear edges

When measuring the deviation of the end of the added edge from the resulting edge take the point on the curve, not from the vertex.

Test cases for the issue.
mod - src/ShapeUpgrade/ShapeUpgrade_UnifySameDomain.cxx Diff ] File ]
mod - tests/bugs/modalg_7/bug27004 Diff ] File ]
add - tests/bugs/modalg_7/bug29544_1 Diff ] File ]
add - tests/bugs/modalg_7/bug29544_2 Diff ] File ]

- Issue History
Date Modified Username Field Change
2018-03-05 15:32 emv New Issue
2018-03-05 15:32 emv Assigned To => msv
2018-03-05 15:32 emv Relationship added child of 0028681
2018-03-05 15:32 emv Relationship added related to 0029481
2018-03-05 15:38 emv Assigned To msv => emv
2018-03-05 15:38 emv Status new => assigned
2018-03-05 15:38 emv Steps to Reproduce Updated View Revisions
2018-03-06 07:33 git Note Added: 0074261
2018-03-06 12:45 emv Note Added: 0074267
2018-03-06 12:45 emv Assigned To emv => msv
2018-03-06 12:45 emv Status assigned => resolved
2018-03-07 10:04 msv Note Added: 0074338
2018-03-07 10:04 msv Assigned To msv => bugmaster
2018-03-07 10:04 msv Status resolved => reviewed
2018-03-07 10:56 bugmaster Test case number => bugs modalg_7 bug29544_1, bugs modalg_7 bug29544_2
2018-03-07 10:56 bugmaster Note Added: 0074343
2018-03-07 10:56 bugmaster Status reviewed => tested
2018-03-08 09:05 abv Relationship added related to 0027004
2018-03-18 13:21 bugmaster Changeset attached => occt master 06084bb8
2018-03-18 13:21 bugmaster Status tested => verified
2018-03-18 13:21 bugmaster Resolution open => fixed
2018-03-19 10:05 git Note Added: 0074613
2018-06-29 21:16 user533 Fixed in Version => 7.3.0
2018-06-29 21:21 user533 Status verified => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker